# all files / ol/style/ textstyle.js

89.09% Statements 49/55
80% Branches 8/10
71.43% Functions 15/21
89.09% Lines 49/55

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    86
    87
    88
    89
    90
    91
    92
    93
    94
    95
    96
    97
    98
    99
    100
    101
    102
    103
    104
    105
    106
    107
    108
    109
    110
    111
    112
    113
    114
    115
    116
    117
    118
    119
    120
    121
    122
    123
    124
    125
    126
    127
    128
    129
    130
    131
    132
    133
    134
    135
    136
    137
    138
    139
    140
    141
    142
    143
    144
    145
    146
    147
    148
    149
    150
    151
    152
    153
    154
    155
    156
    157
    158
    159
    160
    161
    162
    163
    164
    165
    166
    167
    168
    169
    170
    171
    172
    173
    174
    175
    176
    177
    178
    179
    180
    181
    182
    183
    184
    185
    186
    187
    188
    189
    190
    191
    192
    193
    194
    195
    196
    197
    198
    199
    200
    201
    202
    203
    204
    205
    206
    207
    208
    209
    210
    211
    212
    213
    214
    215
    216
    217
    218
    219
    220
    221
    222
    223
    224
    225
    226
    227
    228
    229
    230
    231
    232
    233
    234
    235
    236
    237
    238
    239
    240
    241
    242
    243
    244
    245
    246
    247
    248
    249
    250
    251
    252
    253
    254
    255
    256
    257
    258
    259
    260
    261
    262
    263
    264
    265
    266
    267
    268
    269
    270
    271
    272
    273
    274
    275
    276
    277
    278
    279
    280
    281
    282
    283
    284
    285
    286
    287
    288
    289
    290
    291
    292
    293
    294
    295
    296
    297
    298
    2991×

    1×

    1×

    11×

    11×

    11×

    11×

    11×

    11×

    11×

    11×

    11×

    11×

    11×

    1×

    1×
    4×

    1×
    4×

    1×
    4×

    1×
    10×

    1×
    4×

    1×
    6×

    1×
    4×

    1×
    7×

    1×
    4×

    1×
    4×

    1×

    1×
    2×

    1×
    2×

    1×

    1×

    1×

    1×

    1×
    2×

    1×
    2×

    1×

     goog.provide('ol.style.Text');

    goog.require('ol.style.Fill');

    /**
     * @classdesc
     * Set text style for vector features.
     *
     * @constructor
     * @param {olx.style.TextOptions=} opt_options Options.
     * @api
     */
    ol.style.Text = function(opt_options) {

      var options = opt_options || {};

      /**
       * @private
       * @type {string|undefined}
       */
      this.font_ = options.font;

      /**
       * @private
       * @type {number|undefined}
       */
      this.rotation_ = options.rotation;

      /**
       * @private
       * @type {number|undefined}
       */
      this.scale_ = options.scale;

      /**
       * @private
       * @type {string|undefined}
       */
      this.text_ = options.text;

      /**
       * @private
       * @type {string|undefined}
       */
      this.textAlign_ = options.textAlign;

      /**
       * @private
       * @type {string|undefined}
       */
      this.textBaseline_ = options.textBaseline;

      /**
       * @private
       * @type {ol.style.Fill}
       */
      this.fill_ = options.fill !== undefined ? options.fill :
          new ol.style.Fill({color: ol.style.Text.DEFAULT_FILL_COLOR_});

      /**
       * @private
       * @type {ol.style.Stroke}
       */
      this.stroke_ = options.stroke !== undefined ? options.stroke : null;

      /**
       * @private
       * @type {number}
       */
      this.offsetX_ = options.offsetX !== undefined ? options.offsetX : 0;

      /**
       * @private
       * @type {number}
       */
      this.offsetY_ = options.offsetY !== undefined ? options.offsetY : 0;
    };

    /**
     * The default fill color to use if no fill was set at construction time; a
     * blackish `#333`.
     *
     * @const {string}
     * @private
     */
    ol.style.Text.DEFAULT_FILL_COLOR_ = '#333';

    /**
     * Get the font name.
     * @return {string|undefined} Font.
     * @api
     */
    ol.style.Text.prototype.getFont = function() {
      return this.font_;
    };

    /**
     * Get the x-offset for the text.
     * @return {number} Horizontal text offset.
     * @api
     */
    ol.style.Text.prototype.getOffsetX = function() {
      return this.offsetX_;
    };

    /**
     * Get the y-offset for the text.
     * @return {number} Vertical text offset.
     * @api
     */
    ol.style.Text.prototype.getOffsetY = function() {
      return this.offsetY_;
    };

    /**
     * Get the fill style for the text.
     * @return {ol.style.Fill} Fill style.
     * @api
     */
    ol.style.Text.prototype.getFill = function() {
      return this.fill_;
    };

    /**
     * Get the text rotation.
     * @return {number|undefined} Rotation.
     * @api
     */
    ol.style.Text.prototype.getRotation = function() {
      return this.rotation_;
    };

    /**
     * Get the text scale.
     * @return {number|undefined} Scale.
     * @api
     */
    ol.style.Text.prototype.getScale = function() {
      return this.scale_;
    };

    /**
     * Get the stroke style for the text.
     * @return {ol.style.Stroke} Stroke style.
     * @api
     */
    ol.style.Text.prototype.getStroke = function() {
      return this.stroke_;
    };

    /**
     * Get the text to be rendered.
     * @return {string|undefined} Text.
     * @api
     */
    ol.style.Text.prototype.getText = function() {
      return this.text_;
    };

    /**
     * Get the text alignment.
     * @return {string|undefined} Text align.
     * @api
     */
    ol.style.Text.prototype.getTextAlign = function() {
      return this.textAlign_;
    };

    /**
     * Get the text baseline.
     * @return {string|undefined} Text baseline.
     * @api
     */
    ol.style.Text.prototype.getTextBaseline = function() {
      return this.textBaseline_;
    };

    /**
     * Set the font.
     *
     * @param {string|undefined} font Font.
     * @api
     */
    ol.style.Text.prototype.setFont = function(font) {
      this.font_ = font;
    };

    /**
     * Set the x offset.
     *
     * @param {number} offsetX Horizontal text offset.
     */
    ol.style.Text.prototype.setOffsetX = function(offsetX) {
      this.offsetX_ = offsetX;
    };

    /**
     * Set the y offset.
     *
     * @param {number} offsetY Vertical text offset.
     */
    ol.style.Text.prototype.setOffsetY = function(offsetY) {
      this.offsetY_ = offsetY;
    };

    /**
     * Set the fill.
     *
     * @param {ol.style.Fill} fill Fill style.
     * @api
     */
    ol.style.Text.prototype.setFill = function(fill) {
      this.fill_ = fill;
    };

    /**
     * Set the rotation.
     *
     * @param {number|undefined} rotation Rotation.
     * @api
     */
    ol.style.Text.prototype.setRotation = function(rotation) {
      this.rotation_ = rotation;
    };

    /**
     * Set the scale.
     *
     * @param {number|undefined} scale Scale.
     * @api
     */
    ol.style.Text.prototype.setScale = function(scale) {
      this.scale_ = scale;
    };

    /**
     * Set the stroke.
     *
     * @param {ol.style.Stroke} stroke Stroke style.
     * @api
     */
    ol.style.Text.prototype.setStroke = function(stroke) {
      this.stroke_ = stroke;
    };

    /**
     * Set the text.
     *
     * @param {string|undefined} text Text.
     * @api
     */
    ol.style.Text.prototype.setText = function(text) {
      this.text_ = text;
    };

    /**
     * Set the text alignment.
     *
     * @param {string|undefined} textAlign Text align.
     * @api
     */
    ol.style.Text.prototype.setTextAlign = function(textAlign) {
      this.textAlign_ = textAlign;
    };

    /**
     * Set the text baseline.
     *
     * @param {string|undefined} textBaseline Text baseline.
     * @api
     */
    ol.style.Text.prototype.setTextBaseline = function(textBaseline) {
      this.textBaseline_ = textBaseline;
    };